/utxo/{chain}/txs/job/start

Starts a job to fetch all transactions for a UTXO wallet in the given time range. The job will be processed in the background, and results will become available (in paginated form) once all transactions have been fetched.

After starting the job:

  1. Use the returned nextPageUrl to start fetching the results (once they're available)

  2. If you get a 425, retry on an interval until you get a result back

  3. Repeat for subsequent URLs until you get to a page with no nextPageUrl field included

Note: Once you start a job, you will incur API CUs for its entirety (and you will be billed based on the number of transactions fetched).

Processing large date ranges may take some time. Use the startBlock / endBlock or startTimestamp / endTimestamp parameters to control the size of the job.

Make sure to provide either a block range or a timestamp range, not both.

Path Params
string
required
Defaults to btc

Name of the chain.

Query Params
string
Defaults to 3Q9St1xqncesXHAs7eZ9ScE7jYWhdMtkXL

Address of the account to fetch transactions for.

string

Results are returned with the view/perspective of this wallet address. Optional if you want to classify from a perspective different than the wallet's.

int64

Start timestamp to filter by. Optional.

int64

End timestamp to filter by. Optional.

int64

Start block to filter by. Optional.

int64

End block to filter by. Optional.

Headers
string
required
Defaults to demokey

API Key for Translate API. To generate an API Key, visit https://noves.fi/pricing

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json